summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-haskell/haskell-platform
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-haskell/haskell-platform')
-rw-r--r--dev-haskell/haskell-platform/haskell-platform-2012.4.0.0.ebuild61
-rw-r--r--dev-haskell/haskell-platform/haskell-platform-2013.2.0.0-r2.ebuild66
-rw-r--r--dev-haskell/haskell-platform/haskell-platform-2014.2.0.0.ebuild71
-rw-r--r--dev-haskell/haskell-platform/metadata.xml19
4 files changed, 217 insertions, 0 deletions
diff --git a/dev-haskell/haskell-platform/haskell-platform-2012.4.0.0.ebuild b/dev-haskell/haskell-platform/haskell-platform-2012.4.0.0.ebuild
new file mode 100644
index 00000000000..2e882618ba9
--- /dev/null
+++ b/dev-haskell/haskell-platform/haskell-platform-2012.4.0.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+DESCRIPTION="The Haskell Platform"
+HOMEPAGE="http://haskell.org/platform"
+SRC_URI=""
+
+LICENSE="BSD"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86"
+IUSE="profile X"
+
+RDEPEND=">=dev-haskell/async-2.0.1.3:=[profile?]
+ >=dev-haskell/cgi-3001.1.7.4:=[profile?]
+ >=dev-haskell/fgl-5.4.2.4:=[profile?]
+ >=dev-haskell/haskell-src-1.0.1.5:=[profile?]
+ >=dev-haskell/html-1.0.1.2:=[profile?]
+ >=dev-haskell/http-4000.2.5:=[profile?]
+ >=dev-haskell/hunit-1.2.5.1:=[profile?]
+ >=dev-haskell/mtl-2.1.2:=[profile?]
+ >=dev-haskell/network-2.3.1.0:=[profile?]
+ >=dev-haskell/parallel-3.2.0.3:=[profile?]
+ >=dev-haskell/parsec-3.1.3:=[profile?]
+ >=dev-haskell/primitive-0.5.0.1:=[profile?]
+ >=dev-haskell/quickcheck-2.5.1.1:=[profile?]
+ >=dev-haskell/random-1.0.1.1:=[profile?]
+ >=dev-haskell/regex-base-0.93.2:=[profile?]
+ >=dev-haskell/regex-compat-0.95.1:=[profile?]
+ >=dev-haskell/regex-posix-0.95.2:=[profile?]
+ >=dev-haskell/split-0.2.1.1:=[profile?]
+ >=dev-haskell/stm-2.4:=[profile?]
+ >=dev-haskell/syb-0.3.7:=[profile?]
+ >=dev-haskell/text-0.11.2.3:=[profile?]
+ >=dev-haskell/transformers-0.3.0.0:=[profile?]
+ >=dev-haskell/vector-0.10.0.1:=[profile?]
+ >=dev-haskell/xhtml-3000.2.1:=[profile?]
+ >=dev-haskell/zlib-0.5.4.0:=[profile?]
+ X? (
+ >=dev-haskell/glut-2.1.2.1:=[profile?]
+ >=dev-haskell/opengl-2.2.3.1:=[profile?]
+ )
+ >=dev-lang/ghc-7.4.2:=
+
+ >=dev-haskell/alex-3.0.2
+ >=dev-haskell/cabal-1.14.0
+ >=dev-haskell/happy-1.18.10
+ >=dev-haskell/cabal-install-0.14.0
+ >=dev-haskell/hscolour-1.19
+ >=dev-haskell/haddock-2.10.0"
+
+DEPEND="${RDEPEND}"
+
+pkg_postinst() {
+ if ! use X; then
+ elog "The haskell platform includes the 3D graphics libraries opengl and glut."
+ elog "To install opengl and glut requires the X use flag."
+ fi
+}
diff --git a/dev-haskell/haskell-platform/haskell-platform-2013.2.0.0-r2.ebuild b/dev-haskell/haskell-platform/haskell-platform-2013.2.0.0-r2.ebuild
new file mode 100644
index 00000000000..cb8fef4a953
--- /dev/null
+++ b/dev-haskell/haskell-platform/haskell-platform-2013.2.0.0-r2.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+DESCRIPTION="The Haskell Platform"
+HOMEPAGE="http://haskell.org/platform"
+SRC_URI=""
+
+LICENSE="BSD"
+SLOT="0/${PV}"
+KEYWORDS="amd64 x86"
+IUSE="+doc profile +X"
+
+RDEPEND=">=dev-haskell/async-2.0.1.4:=[profile?]
+ >=dev-haskell/attoparsec-0.10.4.0:=[profile?]
+ >=dev-haskell/case-insensitive-1.0.0.1:=[profile?]
+ >=dev-haskell/cgi-3001.1.7.5:=[profile?]
+ >=dev-haskell/fgl-5.4.2.4:=[profile?]
+ >=dev-haskell/hashable-1.1.2.5:=[profile?]
+ >=dev-haskell/haskell-src-1.0.1.5:=[profile?]
+ >=dev-haskell/html-1.0.1.2:=[profile?]
+ >=dev-haskell/http-4000.2.8:=[profile?]
+ >=dev-haskell/hunit-1.2.5.2:=[profile?]
+ >=dev-haskell/mtl-2.1.2:=[profile?]
+ >=dev-haskell/network-2.4.1.2:=[profile?]
+ >=dev-haskell/parallel-3.2.0.3:=[profile?]
+ >=dev-haskell/parsec-3.1.3:=[profile?]
+ >=dev-haskell/primitive-0.5.0.1:=[profile?]
+ >=dev-haskell/quickcheck-2.6:2=[profile?]
+ >=dev-haskell/random-1.0.1.1:=[profile?]
+ >=dev-haskell/regex-base-0.93.2:=[profile?]
+ >=dev-haskell/regex-compat-0.95.1:=[profile?]
+ >=dev-haskell/regex-posix-0.95.2:=[profile?]
+ >=dev-haskell/split-0.2.2:=[profile?]
+ >=dev-haskell/stm-2.4.2:=[profile?]
+ >=dev-haskell/syb-0.4.0:=[profile?]
+ >=dev-haskell/text-0.11.3.1:=[profile?]
+ >=dev-haskell/transformers-0.3.0.0:=[profile?]
+ >=dev-haskell/unordered-containers-0.2.3.0:=[profile?]
+ >=dev-haskell/vector-0.10.0.1:=[profile?]
+ >=dev-haskell/xhtml-3000.2.1:=[profile?]
+ >=dev-haskell/zlib-0.5.4.1:=[profile?]
+ X? (
+ >=dev-haskell/gluraw-1.3.0.0:=[profile?]
+ >=dev-haskell/glut-2.4.0.0:=[profile?]
+ >=dev-haskell/opengl-2.8.0.0:=[profile?]
+ >=dev-haskell/openglraw-1.3.0.0:=[profile?]
+ )
+ >=dev-lang/ghc-7.6.2:=
+ >=dev-haskell/alex-3.0.5
+ >=dev-haskell/cabal-1.16.0.3
+ >=dev-haskell/cabal-install-1.16.0.3
+ >=dev-haskell/happy-1.18.10
+ >=dev-haskell/hscolour-1.19
+ doc? ( >=dev-haskell/haddock-2.13.2 )
+"
+DEPEND="${RDEPEND}"
+
+pkg_postinst() {
+ if ! use X; then
+ elog "The haskell platform includes the 3D graphics libraries opengl and glut."
+ elog "To install opengl and glut requires the X use flag."
+ fi
+}
diff --git a/dev-haskell/haskell-platform/haskell-platform-2014.2.0.0.ebuild b/dev-haskell/haskell-platform/haskell-platform-2014.2.0.0.ebuild
new file mode 100644
index 00000000000..318104d7ae6
--- /dev/null
+++ b/dev-haskell/haskell-platform/haskell-platform-2014.2.0.0.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+DESCRIPTION="The Haskell Platform"
+HOMEPAGE="http://haskell.org/platform"
+SRC_URI=""
+
+LICENSE="BSD"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86"
+IUSE="+doc profile +X"
+
+RDEPEND="
+ >=dev-haskell/cabal-1.18.1.3
+ >=dev-haskell/hpc-0.6.0.1
+ >=dev-haskell/xhtml-3000.2.1
+
+ >=dev-haskell/async-2.0.1.5
+ >=dev-haskell/attoparsec-0.10.4.0:=[profile?]
+ >=dev-haskell/case-insensitive-1.1.0.3:=[profile?]
+ >=dev-haskell/fgl-5.5.0.1:=[profile?]
+ >=dev-haskell/hashable-1.2.2.0:=[profile?]
+ >=dev-haskell/haskell-src-1.0.1.6:=[profile?]
+ >=dev-haskell/html-1.0.1.2:=[profile?]
+ >=dev-haskell/http-4000.2.10:=[profile?]
+ >=dev-haskell/hunit-1.2.5.2:=[profile?]
+ >=dev-haskell/mtl-2.1.3.1:=[profile?]
+ >=dev-haskell/network-2.4.2.3:=[profile?]
+ >=dev-haskell/parallel-3.2.0.4:=[profile?]
+ >=dev-haskell/parsec-3.1.5:=[profile?]
+ >=dev-haskell/primitive-0.5.2.1:=[profile?]
+ >=dev-haskell/quickcheck-2.6:2=[profile?]
+ >=dev-haskell/random-1.0.1.1:=[profile?]
+ >=dev-haskell/regex-base-0.93.2:=[profile?]
+ >=dev-haskell/regex-compat-0.95.1:=[profile?]
+ >=dev-haskell/regex-posix-0.95.2:=[profile?]
+ >=dev-haskell/split-0.2.2:=[profile?]
+ >=dev-haskell/stm-2.4.2:=[profile?]
+ >=dev-haskell/syb-0.4.1:=[profile?]
+ >=dev-haskell/text-1.1.0.0:=[profile?]
+ >=dev-haskell/transformers-0.3.0.0:=[profile?]
+ >=dev-haskell/unordered-containers-0.2.4.0:=[profile?]
+ >=dev-haskell/vector-0.10.9.1:=[profile?]
+ >=dev-haskell/xhtml-3000.2.1:=[profile?]
+ >=dev-haskell/zlib-0.5.4.1:=[profile?]
+ X? (
+ >=dev-haskell/gluraw-1.4.0.1:=[profile?]
+ >=dev-haskell/glut-2.5.1.1:=[profile?]
+ >=dev-haskell/opengl-2.9.2.0:=[profile?]
+ >=dev-haskell/openglraw-1.5.0.0:=[profile?]
+ )
+
+ >=dev-lang/ghc-7.8.3:=
+
+ >=dev-haskell/alex-3.1.3
+ >=dev-haskell/cabal-install-1.18.0.5
+ >=dev-haskell/happy-1.19.4
+ >=dev-haskell/hscolour-1.20.3
+ doc? ( >=dev-haskell/haddock-2.14.2 )
+"
+DEPEND="${RDEPEND}"
+
+pkg_postinst() {
+ if ! use X; then
+ elog "The haskell platform includes the 3D graphics libraries opengl and glut."
+ elog "To install opengl and glut requires the X use flag."
+ fi
+}
diff --git a/dev-haskell/haskell-platform/metadata.xml b/dev-haskell/haskell-platform/metadata.xml
new file mode 100644
index 00000000000..d9f34097f44
--- /dev/null
+++ b/dev-haskell/haskell-platform/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>haskell</herd>
+ <longdescription>
+ The Haskell Platform (HP) is the blessed set of libraries and tools on
+ which to build further Haskell libraries and applications. It is
+ intended to provide a comprehensive, stable, and quality tested base for
+ Haskell projects to work from.
+
+ This version specifies the following additional developer tools be
+ installed, for a system to be in full compliance:
+
+ * cabal-install
+ * alex
+ * happy
+ * haddock
+ </longdescription>
+</pkgmetadata>